### Navigation

- next
- previous |
- Shiboken 1.1.1 documentation »

# 3. Command line options

## 3.1. Usage

    shiboken [options] header-file typesystem-file

## 3.2. Options

`--disable-verbose-error-messages`
  Disable verbose error messages. Turn the CPython code hard to debug but saves a few kilobytes in the generated binding.

`--enable-parent-ctor-heuristic`
  This flag enable an useful heuristic which can save a lot of work related to object ownership when writing the typesystem. For more info, check Parentship heuristics.

`--enable-pyside-extensions`
  Enable pyside extensions like support for signal/slots. Use this if you are creating a binding based on PySide.

`--enable-return-value-heuristic`
  Enable heuristics to detect parent relationship on return values. For more info, check Return value heuristics.

`--api-version=<version>`
  Specify the supported api version used to generate the bindings.

`--debug-level=[sparse|medium|full]`
  Set the debug level.

`--documentation-only`
  Do not generate any code, just the documentation.

`--drop-type-entries="<TypeEntry0>[;TypeEntry1;...]"`
  Semicolon separated list of type system entries (classes, namespaces, global functions and enums) to be dropped from generation.

`--generation-set`
  Generator set to be used (e.g. qtdoc).

`--help`
  Display this help and exit.

`--include-paths=<path>[:<path>:...]`
  Include paths used by the C++ parser.

`--license-file=[license-file]`
  File used for copyright headers of generated files.

`--no-suppress-warnings`
  Show all warnings.

`--output-directory=[dir]`
  The directory where the generated files will be written.

`--silent`
  Avoid printing any message.

`--typesystem-paths=<path>[:<path>:...]`
  Paths used when searching for type system files.

`--version`
  Output version information and exit.